unit uFenster;
(* ******************************************************************** *)
(* K L A S S E :  FENSTER                                               *)
(* -------------------------------------------------------------------- *)
(* Version     :  1.0       (auf Basis PAT01 V.5.1)                     *)
(* Autor       :  Florian Bachmann, Christof Bhme, Kurs g135           *)
(*                                                                      *)
(* Aufgabe     : uebernimmt E/A und steuert die Funktionen zur PcVerwal-*)
(*               tung ber ein GUI                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0 - 18-SEP-02                                     *)
(* ******************************************************************** *)

interface
(* ==================================================================== *)
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Menus, ComCtrls,uZeit,
  uPc,
  upcliste;

type
  TFensterFrm = class(TForm)
    PC_PageCtr  : TPageControl;
    PC_TS1      : TTabSheet;
    PC_TS2      : TTabSheet;
    SteuerPnl   : TPanel;
    MeldePnl    : TPanel;
    NeuBtn      : TButton;
    SuchBtn     : TButton;
    AendernBtn  : TButton;
    LoeschBtn   : TButton;
    OkBtn       : TButton;
    ErsterBtn   : TButton;
    RueckBtn    : TButton;
    VorBtn      : TButton;
    LetzterBtn  : TButton;
    EndeBtn     : TButton;
    MainMenu1   : TMainMenu;
    InfoboxIt   : TMenuItem;
    AttribBoxArbeitsspeicher: TGroupBox;
    AttribLbl   : TLabel;
    EdtArbeitsspeicher1: TEdit;
    AttribBoxProzessor: TGroupBox;
    Panel1: TPanel;
    AttribBoxMother: TGroupBox;
    AttribBoxGehaeuse: TGroupBox;
    AttribBoxSound: TGroupBox;
    AttribBoxNetzwerkkarte: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EdtArbeitsspeicher2: TEdit;
    EdtArbeitsspeicher3: TEdit;
    EdtArbeitsspeicher4: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    EdtProzessor1: TEdit;
    EdtProzessor2: TEdit;
    EdtProzessor3: TEdit;
    EdtProzessor4: TEdit;
    EdtProzessor5: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    EdtMother1: TEdit;
    EdtMother2: TEdit;
    EdtMother3: TEdit;
    EdtMother4: TEdit;
    EdtMother7: TEdit;
    EdtMother8: TEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    EdtRaum: TEdit;
    Label22: TLabel;
    AttribBoxFestplatte: TGroupBox;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    EdtFestplatte1: TEdit;
    EdtFestplatte2: TEdit;
    EdtFestplatte3: TEdit;
    EdtFestplatte4: TEdit;
    EdtFestplatte5: TEdit;
    AttribBoxGrafik: TGroupBox;
    Label27: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    EdtGrafik1: TEdit;
    EdtGrafik2: TEdit;
    EdtGrafik3: TEdit;
    EdtGrafik4: TEdit;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    Label40: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    Label45: TLabel;
    EdtSound1: TEdit;
    EdtSound2: TEdit;
    EdtSound3: TEdit;
    EdtSound4: TEdit;
    EdtSound5: TEdit;
    EdtNetzwerk1: TEdit;
    EdtNetzwerk2: TEdit;
    EdtNetzwerk3: TEdit;
    EdtNetzwerk4: TEdit;
    EdtGehaeuse1: TEdit;
    EdtGehaeuse2: TEdit;
    EdtGehaeuse3: TEdit;
    EdtGehaeuse4: TEdit;
    EdtGehaeuse5: TEdit;
    PCLBox: TListBox;
    MotherChckBx1: TCheckBox;
    MotherChckBx2: TCheckBox;
    PnlSuch: TPanel;
    LblSuchfrage: TLabel;
    RdBtnArbSp: TRadioButton;
    RdBtnProz: TRadioButton;
    RdBtnMother: TRadioButton;
    RdBtnGraf: TRadioButton;
    RdBtnFestplatte: TRadioButton;
    RdBtnNetzwerk: TRadioButton;
    RdBtnSound: TRadioButton;
    RdBtnGehaeuse: TRadioButton;
    BtnSuchSuchen: TButton;
    BtnSuchSchl: TButton;
    EdtSuchHerst: TEdit;
    EdtSuchArt: TEdit;
    EdtSuchTyp: TEdit;
    LblSuchHerst: TLabel;
    LblSuchArt: TLabel;
    LblTyp: TLabel;
    EdtSuchVari1: TEdit;
    EdtSuchVari2: TEdit;
    LblSuchVari1: TLabel;
    LblSuchVari2: TLabel;
    EdtSuchVari3: TEdit;
    LblSuchVari: TLabel;
    EdtCPU: TEdit;
    Label46: TLabel;
    Edit1: TEdit;
    Panel2: TPanel;
    ListeRNrLbl: TLabel;
    ListePcNrLbl: TLabel;


    procedure NeuBtnClick (Sender: TObject);
    procedure SuchBtnClick (Sender: TObject);
    procedure AendernBtnClick (Sender: TObject);
    procedure LoeschBtnClick (Sender: TObject);
    procedure EndeBtnClick (Sender: TObject);
    procedure OkBtnClick (Sender: TObject);
    procedure VorBtnClick (Sender: TObject);
    procedure RueckBtnClick (Sender: TObject);
    procedure LetzterBtnClick (Sender: TObject);
    procedure ErsterBtnClick (Sender: TObject);
    procedure MeldePnlClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure InfoboxItClick(Sender: TObject);
    procedure PatLBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure BtnSuchSchlClick(Sender: TObject);
    procedure BtnSuchSuchenClick(Sender: TObject);
    procedure OkBtnMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Panel2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);

  private { Private-Deklarationen }
    procedure Init;
    procedure DatenAktualisieren (var pc : TPc);  virtual;
    procedure MaskeAktualisieren (pc : TPc);      virtual;
    procedure PCLBoxAktualisieren ;               virtual;
  public  { Public-Deklarationen }
end;

var
  FensterFrm       : TFensterFrm;

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse    : TForm
Bezugsklassen : TPCListe, TPc, GUI-Klassen


Methoden
--------

Init
  Auftrag: alle GUI-Felder leeren;
  vorher : -
  nachher: -

NeuBtnClick
  Auftrag: Maske leeren fr die Eingaben eines neuer teendaten zum Suchen
           oder Neuerfassen. Die Daten werden verarbeitet, wenn OK, ndern oder
           Lschen gedrckt ist.
  nachher: Maske ist leer

AnzeigeBtnClick
  Auftrag: Aktuellen Eintrag zum Suchen abschicken und in der Liste suchen.
           Schlssel ist der Name. Beenden mit Click.
  vorher : Liste ist nicht leer
  nachher: Gesuchter AktuellesTeil wird angezeigt oder Fehlermeldung

AendernBtnClick
  Auftrag: Die in die Maske eingetragenen Daten als nderung bernehmen.
  vorher : Liste ist nicht leer
  nachher: pc ist in die Liste zurueckgeschrieben. Maske ist leer.

LoeschBtnClick
  Auftrag: Aktuellen teen loeschen nach Rckfrage.
  vorher : Liste ist nicht leer. Der zu lschenden pc wurde gefunden.
           Maske ist leer.
  nachher: pc ist aus der Liste entfernt

EndeBtnClick
  Auftrag: Programm beenden, Fenster schlieen, Daten speichern
  vorher : -
  nachher: Daten gespeichert, Programm beendet

OkBtnClick
  Auftrag: Aktuellen teen aus der Maske uebernehmen. Es kann solange
           editiert werden, bis OK geklickt ist. Ist der Name leer, wird kein
           Eintrag erzeugt.
  vorher : -
  nachher: Aktueller pc ist uebernommen.

VorBtnClick
  Auftrag: zum nchsten teen in der Liste blttern. Ist das Listenende
           erreicht oder ist die Liste leer, erscheint eine Meldung.
  vorher : -
  nachher: Listenposition ist die nchste. Neuer aktueller pc wird angezeigt.

RueckBtnClick
  Auftrag: zum nchsten teen in der Liste rckwrtsblttern. Ist der
           Listenanfang erreicht oder ist die Liste leer, erscheint eine
           Meldung.
  vorher : -
  nachher: Listenposition ist die vorige. Neuer aktueller pc wird angezeigt.

LetzterBtnClick
  Auftrag: zur letzten Position in der Liste springen.Ist die Liste ist leer,
           erscheint eine Meldung.
  vorher : -
  nachher: Listenposition ist letztes Element. Letzter Eintrag wird angezeigt.

ErsterBtnClick
  Auftrag: zur ersten Position in der Liste springen. Ist die Liste leer,
           erscheint eine Meldung.
  vorher : -
  nachher: Listeposition ist erstes Element. Erster pc wird angezeigt.


MaskeAktualisieren (pc : TPc)
  Auftrag: Attributwerte des aktuellen teen in die GUI-Maske bernehmen
  vorher : pc ist vorhanden, sonst bleibt Maske leer.
  nachher: Feldinhalte werden in der Maske angezeigt.

DatenAktualisieren (var  : TPc);
  Auftrag: Inhalte aller Felder der GUI-Maske an den aktuellen teen
           uebergeben.
  vorher : pc ist initialisiert.
  nachher: alle Masken-Inhalte sind an den aktuellen teen uebergeben.

PCLBoxAktualisieren
  Auftrag: Aktuelle Liste in der PCLBox anzeigen und Auswhlen durch Anklicken
  vorher : Objekt ist vorhanden, sonst bleibt Maske leer.
  nachher: Items werden in der Maske angezeigt.

----------------------------------------------------------------------- *)

implementation
{$R *.DFM}

uses uInfoBox;

(* ==================================================================== *)
var
  AktuellerPc : TPc;
  pcliste     : Tpcliste;

procedure TFensterFrm.FormCreate(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  FensterFrm.Init;
  AktuellerPc := TPc.Create;
  pcliste := Tpcliste.Create;
  pcliste.Load('PC.dat');
//  pcliste.First;
//  MaskeAktualisieren(AktuellerPc);
  ErsterBtnClick(Sender);
  PCLBoxAktualisieren;
 end;

procedure TFensterFrm.Init;
(* -------------------------------------------------------------------- *)
begin
    FensterFrm.Caption  := 'DWNW 2002   - TEST-Umgebung   V.  1.0                                                                                                        OSZ Handel, Berlin';
    EdtArbeitsspeicher1.Text := '';
    EdtArbeitsspeicher2.Text := '';
    EdtArbeitsspeicher3.Text := '';
    EdtArbeitsspeicher4.Text := '';
    EdtProzessor1.Text := '';
    EdtProzessor2.Text := '';
    EdtProzessor3.Text := '';
    EdtProzessor4.Text := '';
    EdtProzessor5.Text := '';
    EdtMother1.Text := '';
    EdtMother2.Text := '';
    EdtMother3.Text := '';
    EdtMother4.Text := '';
    EdtMother7.Text := '';
    EdtMother8.Text := '';
    EdtGrafik1.Text := '';
    EdtGrafik2.Text := '';
    EdtGrafik3.Text := '';
    EdtGrafik4.Text := '';
    EdtFestplatte1.Text := '';
    EdtFestplatte2.Text := '';
    EdtFestplatte3.Text := '';
    EdtFestplatte4.Text := '';
    EdtFestplatte5.Text := '';
    EdtNetzwerk1.Text := '';
    EdtNetzwerk2.Text := '';
    EdtNetzwerk3.Text := '';
    EdtNetzwerk4.Text := '';
    EdtSound1.Text := '';
    EdtSound2.Text := '';
    EdtSound3.Text := '';
    EdtSound4.Text := '';
    EdtGehaeuse1.Text := '';
    EdtGehaeuse2.Text := '';
    EdtGehaeuse3.Text := '';
    EdtGehaeuse4.Text := '';
    EdtGehaeuse5.Text := '';
    MeldePnl.Caption  := '';
    EdtRaum.Text := '';
    EdtCPU.Text  := '';
end;


procedure TFensterFrm.NeuBtnClick (Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  Init;
  OKBtn.Enabled     := true;
end;


procedure TFensterFrm.SuchBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  PnlSuch.visible := True;
  PnlSuch.left := 72;
  PnlSuch.Top := 24;
  Caption             := '  PC 2002   -   Pc anzeigen und bearbeiten';
  MeldePnl.Caption    := ' Nicht gefunden !';
end;


procedure TFensterFrm.AendernBtnClick (Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  Datenaktualisieren (AktuellerPc);
  pcliste.SetElement(AktuellerPc);
  Init;
  PCLBoxAktualisieren;
end;


procedure TFensterFrm.LoeschBtnClick (Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
   pcliste.Remove;
   Init;
   PCLBoxAktualisieren;
end;


procedure TFensterFrm.OkBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
var Neuerpc : TPc;
begin
     Neuerpc := TPc.Create;  // neues Exemplar muss in die Liste
     Datenaktualisieren (Neuerpc);
     pcliste.Append (Neuerpc);
      PCLBoxAktualisieren;
     Init;
end;


procedure TFensterFrm.VorBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  Init;
  MeldePnl.Caption := '';
  pcliste.Next;
  AktuellerPc := pcliste.GetElement;
  MaskeAktualisieren (AktuellerPc);
  if pcliste.IsLast
    then MeldePnl.Caption := ' Listenende ';
end;


procedure TFensterFrm.RueckBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  Init;
  MeldePnl.Caption := '';
  pcliste.Previous;
  AktuellerPc := pcliste.GetElement;
  MaskeAktualisieren(AktuellerPc);
  if pcliste.IsFirst
    then MeldePNL.Caption := ' Listenanfang ';
end;


procedure TFensterFrm.LetzterBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  MeldePnl.Caption := '';
  pcliste.Last;
  MeldePnl.Caption := ' Listenende ';
  AktuellerPc := pcliste.GetElement;
  MaskeAktualisieren(AktuellerPc);
end;


procedure TFensterFrm.ErsterBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  MeldePnl.Caption := '';
  pcliste.First;
  MeldePnl.Caption := ' Listenanfang ';
  AktuellerPc   := pcliste.GetElement;
  MaskeAktualisieren(AktuellerPc);
end;


procedure TFensterFrm.EndeBtnClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  pcliste.Store('PC.dat');
  pcliste.Free;
  Close;
end;


procedure TFensterFrm.MeldePnlClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  MeldePnl.Caption := '';
end;

procedure TFensterFrm.InfoboxItClick(Sender: TObject);
(* ------------------------------------------------------------------- *)
begin
  Infobox.Show;
end;


(* ############################  M - VC  ############################# *)

procedure TFensterFrm.DatenAktualisieren (var pc : TPc);
(* ------------------------------------------------------------------- *)
begin
  with pc do
  begin
    PC.Arbeitsspeicher.SetHersteller  (EdtArbeitsspeicher1.Text);
    PC.Arbeitsspeicher.SetArt         (EdtArbeitsspeicher2.Text);
    PC.Arbeitsspeicher.SetTyp         (EdtArbeitsspeicher3.Text);
    PC.Arbeitsspeicher.SetGroesse     (EdtArbeitsspeicher4.Text);
    PC.Prozessor.SetHersteller (EdtProzessor1.Text);
    PC.Prozessor.SetArt        (EdtProzessor2.Text);
    PC.Prozessor.SetTyp        (EdtProzessor3.Text);
    PC.Prozessor.SetMHZ        (EdtProzessor4.Text);
    PC.Prozessor.SetLuefter    (EdtProzessor5.Text);
    PC.Motherboard.SetHersteller (EdtMother1.Text);
    PC.Motherboard.SetArt        (EdtMother2.Text);
    PC.Motherboard.SetTyp        (EdtMother3.Text);
    PC.Motherboard.SetBios_Version     (EdtMother4.Text);
    PC.Motherboard.SetOnboard_Grafik   (MotherChckBx1.Checked);
    PC.Motherboard.SetOnboard_Sound    (MotherChckBx2.Checked);
    PC.Motherboard.SetAnschluesse      (EdtMother7.Text);
    PC.Motherboard.SetCPU_Hitzeregler  (EdtMother8.Text);
    PC.Grafikkarte.SetHersteller (EdtGrafik1.Text);
    PC.Grafikkarte.SetArt        (EdtGrafik2.Text);
    PC.Grafikkarte.SetTyp        (EdtGrafik3.Text);
    PC.Grafikkarte.SetGroesse    (EdtGrafik4.Text);
    PC.Festplatte.SetHersteller              (EdtFestplatte1.Text);
    PC.Festplatte.SetArt                     (EdtFestplatte2.Text);
    PC.Festplatte.SetTyp                     (EdtFestplatte3.Text);
    PC.Festplatte.SetGroesse                 (EdtFestplatte4.Text);
    PC.Festplatte.SetZugriffsgeschwindigkeit (EdtFestplatte5.Text);
    PC.Netzwerkkarte.SetHersteller       (EdtNetzwerk1.Text);
    PC.Netzwerkkarte.SetArt              (EdtNetzwerk2.Text);
    PC.Netzwerkkarte.SetTyp              (EdtNetzwerk3.Text);
    PC.Netzwerkkarte.SetGeschwindigkeit  (EdtNetzwerk4.Text);
    PC.Soundkarte.SetHersteller (EdtSound1.Text);
    PC.Soundkarte.SetArt        (EdtSound2.Text);
    PC.Soundkarte.SetTyp        (EdtSound3.Text);
    PC.Soundkarte.SetAusgaenge  (EdtSound4.Text);
    PC.Soundkarte.SetKanaele    (EdtSound5.Text);
    PC.Gehaeuse.SetHersteller  (EdtGehaeuse1.Text);
    PC.Gehaeuse.SetArt         (EdtGehaeuse2.Text);
    PC.Gehaeuse.SetTyp         (EdtGehaeuse3.Text);
    PC.Gehaeuse.SetKuehler     (EdtGehaeuse4.Text);
    PC.Gehaeuse.SetNetzteil    (EdtGehaeuse5.Text);
    PC.SetRaumNummer (EdtRaum.Text);
    PC.SetPcNummer   (EdtCPU.Text);
     // Hier muss der Teil mit dem
  end;
end;


procedure TFensterFrm.MaskeAktualisieren (pc : TPc);
(* ------------------------------------------------------------------- *)
begin
  if NOT Pcliste.IsEmpty
  then
  with pc do
  begin
    EdtArbeitsspeicher1.Text := pc.Arbeitsspeicher.GetHersteller;
    EdtArbeitsspeicher2.Text := pc.Arbeitsspeicher.GetArt;
    EdtArbeitsspeicher3.Text := pc.Arbeitsspeicher.GetTyp;
    EdtArbeitsspeicher4.Text := pc.Arbeitsspeicher.GetGroesse;
    EdtProzessor1.Text := pc.Prozessor.GetHersteller;
    EdtProzessor2.Text := pc.Prozessor.GetArt;
    EdtProzessor3.Text := pc.Prozessor.GetTyp;
    EdtProzessor4.Text := pc.Prozessor.GetMHZ;
    EdtProzessor5.Text := pc.Prozessor.GetLuefter;
    Edtmother1.Text := pc.Motherboard.GetHersteller;
    EdtMother2.Text := pc.Motherboard.GetArt;
    EdtMother3.Text := pc.Motherboard.GetTyp;
    EdtMother4.Text := pc.Motherboard.GetBios_Version;
    MotherChckBx1.Checked := pc.Motherboard.GetOnboard_Grafik;
    MotherChckBx2.Checked := pc.Motherboard.GetOnboard_Sound;
    EdtMother7.Text := pc.Motherboard.GetAnschluesse;
    EdtMother8.Text := pc.Motherboard.GetCPU_Hitzeregler;
    EdtGrafik1.Text := pc.Grafikkarte.GetHersteller;
    EdtGrafik2.Text := pc.Grafikkarte.GetArt;
    EdtGrafik3.Text := pc.Grafikkarte.GetTyp;
    EdtGrafik4.Text := pc.Grafikkarte.GetGroesse;
    EdtFestplatte1.Text := pc.Festplatte.GetHersteller;
    EdtFestplatte2.Text := pc.Festplatte.GetArt;
    EdtFestplatte3.Text := pc.Festplatte.GetTyp;
    EdtFestplatte4.Text := pc.Festplatte.GetGroesse;
    EdtFestplatte5.Text := pc.Festplatte.GetZugriffsgeschwindigkeit;
    EdtNetzwerk1.Text := pc.Netzwerkkarte.GetHersteller;
    EdtNetzwerk2.Text := pc.Netzwerkkarte.GetArt;
    EdtNetzwerk3.Text := pc.Netzwerkkarte.GetTyp;
    EdtNetzwerk4.Text := pc.Netzwerkkarte.GetGeschwindigkeit;
    EdtSound1.Text := pc.Soundkarte.GetHersteller;
    EdtSound2.Text := pc.Soundkarte.GetArt;
    EdtSound3.Text := pc.Soundkarte.GetTyp;
    EdtSound4.Text := pc.Soundkarte.GetAusgaenge;
    EdtSound5.Text := pc.Soundkarte.GetKanaele;
    EdtGehaeuse1.Text := pc.Gehaeuse.GetHersteller;
    EdtGehaeuse2.Text := pc.Gehaeuse.GetArt;
    EdtGehaeuse3.Text := pc.Gehaeuse.GetTyp;
    EdtGehaeuse4.Text := pc.Gehaeuse.GetKuehler;
    EdtGehaeuse5.Text := pc.Gehaeuse.GetNetzteil;
    EdtCPU.Text  := pc.GetPcNummer;
    EdtRaum.Text := pc.GetRaumNummer;
  end;
end;


procedure TFensterFrm.PatLBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  i :integer;
begin
  Caption       := '  PC 02  ';
  OKBtn.Enabled := false;
  Pcliste.First;
  for i := 1 to PCLBox.ItemIndex do Pcliste.Next;
  AktuellerPc := Pcliste.GetElement;

  if AktuellerPc <> NIL  // noch unbekannt !!!!
  then
  begin
  MaskeAktualisieren(AktuellerPc);
  AendernBtn.Enabled := true;
  Loeschbtn.Enabled  := true;
  PcLBox.Itemindex := Pcliste.GetAktuellePos -1;
  end;

end;

procedure TFensterFrm.PCLBoxAktualisieren;
(* ------------------------------------------------------------------- *)
var zeile : string;
    i : integer;

begin
  PCLbox.clear;
  if NOT Pcliste.IsEmpty
  then
    begin
      Pcliste.First;
      for i := 1  to  Pcliste.GetLen do
      begin
        AktuellerPc := Pcliste.GetElement;
        zeile := Format('%-13s %-12s',
                    [AktuellerPc.GetRaumNummer,AktuellerPc.GetPcNummer]);
        PCLbox.Items.Add(zeile);
        Pcliste.Next;
      end;
      Pcliste.First;
    end;
 end;

procedure TFensterFrm.BtnSuchSchlClick(Sender: TObject);
begin
  PnlSuch.Visible := false;
end;

procedure TFensterFrm.BtnSuchSuchenClick(Sender: TObject);
begin
// Wichtig!!!: ber die Radiobuttons wird die gesuchte Komponente ausgewhlt,
// die "LblSuchVari" werden ergnzt nach den Attributen der Komponente. Beim
// Klicken auf den "Suchen"-Button wird der "PnlSuch" geschlossen.
end;

procedure TFensterFrm.OkBtnMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
   MeldePnl.Font.Color := clred;
   Meldepnl.Caption := 'Der angezeigte Datensatz wird mit OK-Click neu in die Liste aufgenommen';
end;

procedure TFensterFrm.Panel2MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
   MeldePnl.Font.Color := clblue;
   MeldePnl.Caption := '';
end;

END.
